Summary:	The official C++ client API for PostgreSQL
Name:		libpqxx
Version:	4.0.1
Release:	%mkrel 5
Source:		http://pqxx.org/download/software/libpqxx/%name-%version.tar.gz
License:	GPLv2+
Group:		Development/Databases
Url:		http://pqxx.org/
BuildRequires:	postgresql-devel
BuildRequires:	xmlto
BuildRequires:	doxygen
BuildRequires:	pkgconfig
Obsoletes:	%mklibname pqxx 2

%description
This library works on top of the C-level API library, libpq. You will need
libpq in order to use libpqxx. 
The first thing you're likely to notice in programming with libpqxx is that
unlike other libraries, it revolves entirely around transactions. Transactions
are a central concept in database management systems, but they are widely
underappreciated among application developers. Another well-known open source
database system, MySQL, never even got around to implementing them at all in
their own engine, relying on a third-party replacement engine (now owned by
Oracle) to provide this functionality instead.

%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{name} = %{version}-%{release}
Obsoletes:	%mklibname pqxx 2 -d

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x \
    --enable-shared \
    --disable-static
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files
%_libdir/libpqxx-*.so

%files devel
%_bindir/pqxx-config
%_includedir/pqxx/*
%_libdir/libpqxx.so
%_libdir/pkgconfig/libpqxx.pc


%changelog
* Tue Nov 25 2014 cjw <cjw> 4.0.1-5.mga5
+ Revision: 798949
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 4.0.1-4.mga5
+ Revision: 738916
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.1-3.mga5
+ Revision: 681717
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.0.1-2.mga4
+ Revision: 531331
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 fwang <fwang> 4.0.1-1.mga4
+ Revision: 463114
- new version 4.0.1

* Sat Jan 12 2013 umeabot <umeabot> 4.0-2.mga3
+ Revision: 357988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 fwang <fwang> 4.0-1.mga2
+ Revision: 175969
- new version 4.0

* Fri Feb 11 2011 ahmad <ahmad> 3.1-3.mga1
+ Revision: 50400
- drop old/unneeded scriptlets
- don't ship .la
- imported package libpqxx

